# \[v1] Get Bitcoin UTXOs

{% hint style="info" %}
We recommend switching to [\[v2\] UTXOs](/api/bitcoin/address/v2-get-bitcoin-utxos-mempool-aware.md) for real-time mempool support
{% endhint %}

## GET /v1/bitcoin/address/{address}/utxo

> Retrieve confirmed UTXOs ignoring mempool completely. This can be useful for applications that\
> &#x20;            need to rely on confirmed UTXOs only, eg constructing RBF txs as well.\
> &#x20;            To query mempool aware endpoint use \<code> /v2/bitcoin/address/:address/utxo\</code>.\
> &#x20;             \<br>\
> &#x20;            Iterate using offset if hasMore is true.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Bitcoin"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/bitcoin/address/{address}/utxo":{"get":{"tags":["Bitcoin"],"description":"Retrieve confirmed UTXOs ignoring mempool completely. This can be useful for applications that\n             need to rely on confirmed UTXOs only, eg constructing RBF txs as well.\n             To query mempool aware endpoint use <code> /v2/bitcoin/address/:address/utxo</code>.\n              <br>\n             Iterate using offset if hasMore is true.","parameters":[{"schema":{"default":0,"minimum":0,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":60,"minimum":25,"maximum":5000,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"minLength":10,"default":"bc1q0egjvlcfq77cxd9kvpgppyuxckzvws46e3sxch","format":"BitcoinAddress","type":"string"},"in":"path","name":"address","required":true}],"responses":{"200":{"description":"Paginated Utxo list","content":{"application/json":{"schema":{"description":"Paginated Utxo list","type":"object","properties":{"hasMore":{"type":"boolean"},"items":{"type":"array","items":{"type":"object","properties":{"txid":{"type":"string"},"vout":{"type":"number"},"value":{"type":"number"},"status":{"type":"object","properties":{"confirmed":{"type":"boolean"},"blockHeight":{"type":"number"},"blockHash":{"type":"string"},"blockTime":{"type":"number"}},"required":["confirmed","blockHeight","blockHash","blockTime"]}},"required":["txid","vout","value","status"]}}},"required":["hasMore","items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/bitcoin/address/v1-get-bitcoin-utxos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
